{{/* vim: set filetype=mustache: */}}
{{/*
Create the name for the admin secret.
*/}}
{{- define "mongodb-replicaset.adminSecret" -}}
    {{- if .Values.auth.existingAdminSecret -}}
        {{- .Values.auth.existingAdminSecret -}}
    {{- else -}}
        {{- template "common.fullname" . -}}-admin
    {{- end -}}
{{- end -}}

{{- define "mongodb-replicaset.metricsSecret" -}}
    {{- if .Values.auth.existingMetricsSecret -}}
        {{- .Values.auth.existingMetricsSecret -}}
    {{- else -}}
        {{- template "common.fullname" . -}}-metrics
    {{- end -}}
{{- end -}}


{{/*
Create the name for the key secret.
*/}}
{{- define "mongodb-replicaset.keySecret" -}}
    {{- if .Values.auth.existingKeySecret -}}
        {{- .Values.auth.existingKeySecret -}}
    {{- else -}}
        {{- template "common.fullname" . -}}-keyfile
    {{- end -}}
{{- end -}}

{{- define "mongodb-replicaset.connection-string" -}}
  {{- $string := "" -}}
  {{- if .Values.auth.enabled }}
   {{- $string = printf "mongodb://$METRICS_USER:$METRICS_PASSWORD@localhost:%s" (.Values.port|toString) -}}
  {{- else -}}
   {{- $string = printf "mongodb://localhost:%s" (.Values.port|toString) -}}
  {{- end -}}

  {{- if .Values.tls.enabled }}
  {{- printf "%s/?ssl=true&tlsCertificateKeyFile=/work-dir/mongo.pem&tlsCAFile=/ca/tls.crt" $string | quote -}}
  {{- else -}}
  {{- printf $string | quote -}}
  {{- end -}}
{{- end -}}
