{{/* vim: set filetype=mustache: */}}
{{/* Default macros are in commonlib, chart-specific ones go here */}}

{{/*
Create the name of the service account to use
*/}}
{{- define "nucleus.serviceAccountName" -}}
{{- include "common.serviceAccountName" . -}}
{{- end -}}

{{/*
Return correct url protocol
*/}}
{{- define "nucleus.urlProto" -}}
{{- if .Values.config.externalSSL -}}
https://
{{- else -}}
http://
{{- end -}}
{{- end -}}

{{/*
Construct a mongoURI used by the nucleus application; this is NOT the admin URI.
*/}}
{{- define "nucleus.mongoURI" -}}
{{- $uri := printf "mongodb://%s:%s@%s:%v/%s" .Values.config.mongo.username .Values.config.mongo.password .Values.config.mongo.host .Values.config.mongo.port .Values.config.mongo.database -}}
{{- if .Values.config.mongo.replicaset -}}
{{- printf "%s?replicaSet=%s" $uri .Values.config.mongo.replicaset -}}
{{- else -}}
{{- $uri -}}
{{- end -}}
{{- end -}}
